"""Users (principal) for the WAeUP portal.
"""
import grok
from waeup.authentication import Account
from waeup.interfaces import IUserContainer

class UserContainer(grok.Container):
    """A container for principals.

    See interfaces.py and users.txt for extensive description.
    """
    grok.implements(IUserContainer)
    grok.require('waeup.manageUsers')

    def addUser(self, name, password, title=None, description=None):
        if title is None:
            title = name
        if description is None:
            description = title
        self[name] = Account(name, password, title, description)

    def addAccount(self, account):
        self[account.name] = account
        
    def delUser(self, name):
        if name in self.keys():
            del self[name]
